org.apache.tapestry5.corelib.components

## Class Dynamic

- java.lang.Object
- - org.apache.tapestry5.corelib.components.Dynamic

-     @SupportsInformalParameters
      public class Dynamic
      extends Object

  The Dynamic component allows a component to render itself differently at different times, by making use of an external template file. The content of the template file replaces the Dynamic component entirely with one exception: certain elements will be replaced with Blocks passed to the Dynamic component as informal parameters; this is triggered by id of the element. When the id attribute has the prefix `param:`, the remainder is the name of a Block parameter. There are no limitations on what can appear inside such a Block: text, components, forms, even the <t:body/> directive. Dynamic templates emulate how expansions work in standard Tapestry templates: Expansions (the `${ ... }` syntax) can appear in attribute values or interspersed in element text. This allows container properties, messages, assets, and so forth to be referenced within the external template. It should be noted that such access is quite a bit less efficient than putting such expansions inside a referenced Block, but this should not be a big concern outside of some kind of tight rendering loop.
  Since:
    5.3
  See Also:
    `DynamicTemplate`, `DynamicTemplateParser`

  Component Parameters
  Name | Type | Flags | Default | Default Prefix
  --- | --- | --- | --- | ---
  template | org.apache.tapestry5.services.dynamic.DynamicTemplate | Required, Not Null |  | asset
  The dynamic template containing the content to be rendered by the component.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `Dynamic()`

  - ### Method Summary

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### Dynamic

          public Dynamic()

5.6.0 - Copyright © 2003-2020 The Apache Software Foundation.